Plantronics + Polycom. Now together as Poly Logo

UC Firmware Not Available through Phone's Web Software Upgrade Page

Highlighted
Occasional Advisor

UC Firmware Not Available through Phone's Web Software Upgrade Page

As a good practice, I would like to evaluate 5.4.0.A on one of our test phones.  I am unable to find it in the list where we query the Polycom hosted server.

 

My test phone is currently on 5.4.0.5841

 

Is there a way to download the 5.4.0.A onto a workstation that can upload the upgrade directly onto a test phone?  FYI, I don't manage a LOCAL provisioning server for our test phones.

 

Any thoughts?

Message 1 of 5
4 REPLIES 4
Highlighted
Regular Advisor

Re: UC Firmware Not Available through Phone's Web Software Upgrade Page

Jeff has a good blog post on how to do this.

http://blog.schertz.name/2012/10/updating-polycom-sip-phone/

 

If you have a provisioning server for prod phones you can make a test sub directory, and manually point your test phones at it.  Put your test config files pointed at the location for the test firmware.  It really is worth it if you already have a provisioning server set up

Message 2 of 5
Highlighted
Polycom Employee & Community Manager

Re: UC Firmware Not Available through Phone's Web Software Upgrade Page

Hello mladva,

welcome to the Polycom Community.

Our IT team is currently fixing this. 

 

You can always download the CAB file version for the Microsoft certified UC Software Versions from our support page => here <=

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Polycom Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. My official "day" Job is 3rd Level support at Poly but I am unable to provide official support via the community.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 3 of 5
Highlighted
Polycom Employee & Community Manager

Re: UC Firmware Not Available through Phone's Web Software Upgrade Page

Hello all,

You should now be able to upgrade to Uc Sofware 5.4.0A

 

Please be aware that the Software revision in the drop down menu appears as 5.4.0.9641 but is really 5.4.0.10182

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services

----------------
The title Polycom Employee & Community Manager is a community setting and does not reflect my role. I am just a simple volunteer in the community like everybody else. My official "day" Job is 3rd Level support at Poly but I am unable to provide official support via the community.

----------------

Notice: This community forum is not an official Poly support resource, thus responses from Poly employees, partners, and customers alike are best-effort in attempts to share learned knowledge. If you need immediate and/or official assistance please open a service ticket through your proper support channels.
Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's
Message 4 of 5
Highlighted
Occasional Advisor

Re: UC Firmware Not Available through Phone's Web Software Upgrade Page

Thanks for the responses to this thread.

 

I actually ended up setting up an ad-hoc TFTP for my test phone, using the information on this page:  VOIP INSIDER, How To: Upload Firmware to a Polycom Unit

 

James:  Thanks for responding with the blog link.  I will review that post.

 

Steffen:  Glad to hear that your support team is on this.  FYI...the README files with all of the downloads for 5.4.0.A all refer to 5.3 with no mention of 5.4.0.A.  The IT team may want to update the readme document for all of the downloads.  :)

Message 5 of 5